summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorJohannes Huber <johu@gentoo.org>2017-09-09 13:29:10 +0200
committerJohannes Huber <johu@gentoo.org>2017-09-09 13:29:51 +0200
commit449b70581d8bd53212434c5c5b883099333502de (patch)
treecbfac5508f05db31d1c2b685f4e98d89c5a3ddde /kde-frameworks/kpackage
parentx11-misc/compton: Remove desktop-misc maintainership (reverts initial commit). (diff)
downloadgentoo-449b70581d8bd53212434c5c5b883099333502de.tar.gz
gentoo-449b70581d8bd53212434c5c5b883099333502de.tar.bz2
gentoo-449b70581d8bd53212434c5c5b883099333502de.zip
kde-frameworks: Version bump KDE Frameworks 5.38.0
Package-Manager: Portage-2.3.8, Repoman-2.3.3
Diffstat (limited to 'kde-frameworks/kpackage')
-rw-r--r--kde-frameworks/kpackage/Manifest1
-rw-r--r--kde-frameworks/kpackage/kpackage-5.38.0.ebuild41
2 files changed, 42 insertions, 0 deletions
diff --git a/kde-frameworks/kpackage/Manifest b/kde-frameworks/kpackage/Manifest
index e1b6b9069fc..1d7a7884bbd 100644
--- a/kde-frameworks/kpackage/Manifest
+++ b/kde-frameworks/kpackage/Manifest
@@ -1,2 +1,3 @@
DIST kpackage-5.34.0.tar.xz 121056 SHA256 b8f09869323f5d077da750f982d7de800897a66366fc66d559fd3d9919acbe71 SHA512 b8ed2e35c00ee9996abdd35f2d07ca43680bc175d719c6af69557d068da75be8684359968a754d1752a64d4c43cdd1e1f13af7511e7b59b71e15b7c738b65238 WHIRLPOOL 6fee1ea9f6ebdee6dea3566f0e9c9b199484a01e85a96febb10a2849764d4331ae8d5dd80ccaf22d0e9f70dec00af950cd1c6a8cb49009c4fb647a2c7d7d3fbc
DIST kpackage-5.37.0.tar.xz 122824 SHA256 fac4d94dc33760aa71078f869fa0fc090c25a7aaf9547cc1a91bcd2b70296ec6 SHA512 a96121acecf77b3c849415264baf382dcf8d9c518b92c5f8c70e909cefcc820c1c8d63b3e2203a95d1817322c785d327aec48f3a52ff2680c7407b5918c566b4 WHIRLPOOL e67a57bf7d2d09dbda93e69a8536c734b6e33ee89ec3a1c3f4594697932894e463d7d66a7d14f70d3fdefaa03c28b07f466ee58fad4959955abc13ebfbda01ae
+DIST kpackage-5.38.0.tar.xz 125104 SHA256 b6eb027aa8fbb0a45d87b026ae7117f14c08385628b5da5ba55994f7f01c926c SHA512 6882610e9e3ebbb7c61e5bd2e5588e63a262322d491b5338becae8dca737c43e14b419d096e5f88cdd27aa66993f0401ea485ddda12a1f79463de058395c4943 WHIRLPOOL 53a1f8c24c09fc43859e92b55e18a6a11e9a70774a694a6c099a7760979f677630ceadd495d16264aab9e4b2306567da7d140d429e5a9bc90ed801737a5a4665
diff --git a/kde-frameworks/kpackage/kpackage-5.38.0.ebuild b/kde-frameworks/kpackage/kpackage-5.38.0.ebuild
new file mode 100644
index 00000000000..fb880a054be
--- /dev/null
+++ b/kde-frameworks/kpackage/kpackage-5.38.0.ebuild
@@ -0,0 +1,41 @@
+# Copyright 1999-2017 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+
+inherit kde5
+
+DESCRIPTION="Framework to install and load packages of non binary content"
+LICENSE="LGPL-2+"
+KEYWORDS="~amd64 ~arm ~arm64 ~x86"
+IUSE="man"
+
+RDEPEND="
+ $(add_frameworks_dep karchive)
+ $(add_frameworks_dep kcoreaddons)
+ $(add_frameworks_dep ki18n)
+"
+DEPEND="${RDEPEND}
+ man? ( $(add_frameworks_dep kdoctools) )
+"
+
+src_configure() {
+ local mycmakeargs=(
+ $(cmake-utils_use_find_package man KF5DocTools)
+ )
+
+ kde5_src_configure
+}
+
+src_test() {
+ # bug 621458
+ mkdir -p "${HOME}/.local/share/kservicetypes5" || die
+ cp "${S}"/src/kpackage/data/servicetypes/*desktop "${HOME}/.local/share/kservicetypes5/" || die
+
+ # tests cannot be run in parallel #606942
+ local myctestargs=(
+ -j1
+ )
+
+ kde5_src_test
+}